%define module	hyperframe

Name:		python-%{module}
Version:	4.0.1
Release:	%mkrel 1
Summary:	HTTP/2 framing layer for Python
Group:		Development/Python
License:	MIT
URL:		http://hyper.rtfd.org/
Source0:	https://pypi.io/packages/source/h/hyperframe/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)

%description
This library contains the HTTP/2 framing code used in the hyper project.
It provides a pure-Python codebase that is capable of decoding a binary
stream into HTTP/2 frames.

This library is used directly by hyper and a number of other projects
to provide HTTP/2 frame decoding logic.

%package -n	python3-%{module}
Summary:	HTTP/2 framing layer for Python 3
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)

%description -n	python3-%{module}
This library contains the HTTP/2 framing code used in the hyper project.
It provides a pure-Python codebase that is capable of decoding a binary
stream into HTTP/2 frames.

This library is used directly by hyper and a number of other projects
to provide HTTP/2 frame decoding logic.

This is the Python 3 version of the package.

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%files
%doc CONTRIBUTORS.rst HISTORY.rst LICENSE README.rst
%{python2_sitelib}/%{module}/
%{python2_sitelib}/%{module}-%{version}-py%{python2_version}.egg-info/

%files -n python3-%{module}
%doc CONTRIBUTORS.rst HISTORY.rst LICENSE README.rst
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info/


%changelog
* Fri Dec 02 2016 daviddavid <daviddavid> 4.0.1-1.mga6
+ Revision: 1071762
- new version: 4.0.1

* Thu Feb 04 2016 daviddavid <daviddavid> 3.2.0-1.mga6
+ Revision: 935055
- initial package python-hyperframe

